Subject: Re: Parenthesis subexpressions

From: Valerio Bozzolan <[email-masked]>
Date: Sun, 08 Nov 2015 21:49:03 +0100

Sorry... typo...

    echo abcde | grep -o -E 'b([a-z])d'
    => "bcd"

Can't I choose to have only "c"?

Thanks again!

On 8 November 2015 21:42:44 CET, Valerio Bozzolan <[email-masked]> wrote:
>Hi,
>
>(First time in a GNU mailing list!)
>
>I've already asked this question to my local GNU/Linux user group and
>in #grep@Freenode... I'm still confused.
>
>GNU Grep don't have an arg to choose the subexpression. Right?
>
>Stupid e.g.:
>    echo abcde | grep -o -E 'b([a-z])d'
>    => "bcd"
>
>What if I want the first subexpression? ("b")? GNU Grep can't do it.
>Isn't it? (Why?)
>
>I actually use GNU Awk, or GNU Bash with $BASH_REMATCH[$n_sub].
>
>Thank you for the clarification!
>--
>Valerio Bozzolan
>Email sent from Android (CyanogenMod) using K-9 Mail.

-- 
Valerio Bozzolan
Email sent from Android (CyanogenMod) using K-9 Mail.

http://boz.reyboz.it